ISBLANK(3)

NAME
isblank, isblank_l - blank-space single-byte character test

SYNOPSIS
#include <ctype.h>
int
isblank(int c);
int
isblank_l(int c, locale_t locale);

DESCRIPTION
The isblank() and isblank_l() functions test for blank-space characters. In the C locale, the complete list of blank-space characters is:

‘ ’ Space character.
\t  Horizontal tab.

OpenBSD always uses the C locale for these functions, ignoring the global locale, the thread-specific locale, and the locale argument.

RETURN VALUES
These functions return zero if the character tests false or non-zero if the character tests true.

ENVIRONMENT
On systems supporting non-ASCII single-byte character encodings, these functions may return non-zero for additional characters, and the results of isblank() may depend on the LC_CTYPE locale(1).

SEE ALSO
isalnum(3), isalpha(3), isascii(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), iswblank(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The isblank() function conforms to isoC-99, and isblank_l() to p1003.1-2008.

HISTORY
The isblank() function has been available since 4.4BSD, and isblank_l() since OpenBSD 6.2.

CAVEATS
The argument c must be EOF or representable as an unsigned char; otherwise, the result is undefined.